--- recording.c.org	2005-02-11 20:17:04.000000000 +0100
+++ recording.c	2005-02-11 20:19:53.000000000 +0100
@@ -8,6 +8,7 @@
  */
 
 #include "recording.h"
+#include <ctype.h>
 #include <dirent.h>
 #include <errno.h>
 #include <fcntl.h>
@@ -454,7 +455,10 @@
 char *cRecording::SortName(void) const
 {
   if (!sortBuffer) {
-     char *s = StripEpisodeName(strdup(FileName() + strlen(VideoDirectory) + 1));
+     char *s = (char*)FileName() + strlen(VideoDirectory) + 1;
+     if (!isalnum(*s))
+     	s++;
+     s = StripEpisodeName(strdup(s));
      int l = strxfrm(NULL, s, 0) + 1;
      sortBuffer = MALLOC(char, l);
      strxfrm(sortBuffer, s, l);
